Bug #1801

My experience upgrading from 3.8.3 to 4.0/master (2289b1d)

Added by Simon Boulet about 8 years ago. Updated about 8 years ago.

Status:ClosedStart date:03/08/2013
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-
Target version:-
Resolution: Pull request:
Affected Versions:OpenNebula 4.0

Description

- The 3.8.3 to 3.9.80 DB migrator is missing. I managed to migrate by using the 3.8.1_to_3.9.80 migrator and then manually updating the DB version: UPDATE db_versioning SET version="3.9.0" WHERE version="3.9.80". I haven't gone through a lot of testing yet, but oned is starting.

- The documentation here indicates that the driver naming has changed, however the example showing what to change for the kvm driver are identical: http://opennebula.org/documentation:rel4.0:upgrade

History

#1 Updated by Carlos Martín about 8 years ago

  • Status changed from New to Closed

- The 3.8.3 to 3.9.80 DB migrator is missing.

We know, thanks. This will be done before the beta release.

I managed to migrate by using the 3.8.1_to_3.9.80 migrator and then manually updating the DB version: UPDATE db_versioning SET version="3.9.0" WHERE version="3.9.80". I haven't gone through a lot of testing yet, but oned is starting.

We don't do a migrator to 3.9.0 (master) on purpose, since that is not a release. Master from a month ago uses a different DB from today's master.

- The documentation here indicates that the driver naming has changed, however the example showing what to change for the kvm driver are identical: http://opennebula.org/documentation:rel4.0:upgrade

Yeah, that (and a LOT more) has to be updated for the release. This one should be easy if our 'sed' skills do not fail us...

Thanks for the comments

Also available in: Atom PDF